Bug 1087943 - Do not use Conflicts between mod_wsgi packages -- use conditional in apache conf file instead
Summary: Do not use Conflicts between mod_wsgi packages -- use conditional in apache c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mod_wsgi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-15 16:21 UTC by Toshio Ernie Kuratomi
Modified: 2014-05-07 15:33 UTC (History)
6 users (show)

Fixed In Version: mod_wsgi-3.4-13.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-06 21:34:43 UTC


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2014-04-15 16:21:30 UTC
Description of problem:

The current mod_wsgi and python3-mod_wsgi files specify a conflicts between them to prevent parallel installation.  However it is desirable to parallel install the packages.  We just don't want both modules to be run in the same apache instance.  This should be done by using conditionals in the apache conf file.

This has been pioneered in the python26-mod_wsgi module that is in epel5.

Additional info:

* The conflicts between mod_wsgi and python3-mod_wsgi should be removed.
* The conf file for python3-mod_wsgi should look something like this:
  # NOTE: mod_wsgi_python3 can not coexist in the same apache process as 
  # mod_wsgi (python2).  Only load if mod_wsgi is not already loaded.
 
  <IfModule !wsgi_module>
    LoadModule wsgi_module modules/mod_wsgi_python3.so
  </IfModule>

* The conf file for mod_wsgi should look something like this:
  # NOTE: mod_wsgi can not coexist in the same apache process as 
  # mod_wsgi_python3.  Only load if mod_wsgi_python3 is not
  # already loaded.
 
  <IfModule !wsgi_module>
    LoadModule wsgi_module modules/mod_wsgi.so
  </IfModule>

Comment 1 Fedora Update System 2014-04-28 10:32:45 UTC
mod_wsgi-3.4-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mod_wsgi-3.4-13.fc20

Comment 2 Fedora Update System 2014-04-29 05:25:50 UTC
Package mod_wsgi-3.4-13.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mod_wsgi-3.4-13.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5756/mod_wsgi-3.4-13.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-05-06 21:34:43 UTC
mod_wsgi-3.4-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 John Florian 2014-05-07 15:33:08 UTC
I finally got time to try this out.  My apologies for not having done so while in the testing period, especially since I was the one begging for the backport to F20.

Anyway, it seems to be working perfectly.  Many thanks to all involved for making this happen.  :-)


Note You need to log in before you can comment on or make changes to this bug.